﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __ExpenseDetail = LightSwitchApplication.ExpenseDetail

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class ExpenseDetail
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __ExpenseDetail, __ExpenseDetail.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the ExpenseDetail entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __ExpenseDetail))
            MyBase.New(entitySet)
            
            __ExpenseDetail.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseDetail_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseDetail_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ItemName As String
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ItemName)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ItemName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ItemName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ItemName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ItemName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ItemQuantity As Double
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ItemQuantity)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ItemQuantity, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ItemQuantity_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ItemQuantity_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ItemQuantity_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ItemTotalCost As String
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ItemTotalCost)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ItemTotalCost, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ItemTotalCost_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ItemTotalCost_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ItemTotalCost_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PaymentMode As String
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.PaymentMode)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.PaymentMode, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaymentMode_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaymentMode_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaymentMode_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ChequeNumber As String
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ChequeNumber)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ChequeNumber, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ChequeNumber_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ChequeNumber_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ChequeNumber_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property EMoneyCode As String
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.EMoneyCode)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.EMoneyCode, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EMoneyCode_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EMoneyCode_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EMoneyCode_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ExpenseHeader As Global.LightSwitchApplication.ExpenseHeader
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ExpenseHeader)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.ExpenseHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseHeader_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PurchasedBy As Global.LightSwitchApplication.Staff
            Get
                Return __ExpenseDetail.DetailsClass.GetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.PurchasedBy)
            End Get
            Set
                __ExpenseDetail.DetailsClass.SetValue(Me, __ExpenseDetail.DetailsClass.PropertySetProperties.PurchasedBy, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PurchasedBy_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PurchasedBy_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PurchasedBy_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __ExpenseDetail, _
                __ExpenseDetail.DetailsClass, _
                __ExpenseDetail.DetailsClass.IImplementation, _
                __ExpenseDetail.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __ExpenseDetail, __ExpenseDetail.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __ExpenseDetail, __ExpenseDetail.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __ExpenseDetail.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __ExpenseDetailEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __ExpenseDetail, __ExpenseDetail.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __ExpenseDetail, __ExpenseDetail.DetailsClass).Entry( _
                    AddressOf __ExpenseDetail.DetailsClass.__ExpenseDetail_CreateNew, _
                    AddressOf __ExpenseDetail.DetailsClass.__ExpenseDetail_Created, _
                    AddressOf __ExpenseDetail.DetailsClass.__ExpenseDetail_AllowSaveWithErrors)
            Private Shared Function __ExpenseDetail_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __ExpenseDetail)) As __ExpenseDetail
                Return New __ExpenseDetail(es)
            End Function
            Private Shared Sub __ExpenseDetail_Created(e As __ExpenseDetail)
                e.ExpenseDetail_Created()
            End Sub
            Private Shared Function __ExpenseDetail_AllowSaveWithErrors(e As __ExpenseDetail) As Boolean
                Dim result As Boolean = False
                e.ExpenseDetail_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __ExpenseDetail, __ExpenseDetail.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __ExpenseDetail, __ExpenseDetail.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __ExpenseDetail.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __ExpenseDetail, __ExpenseDetail.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property ItemName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.ItemName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property ItemQuantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Double)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.ItemQuantity),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Double))
                    End Get
                End Property
                
                Public ReadOnly Property ItemTotalCost As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.ItemTotalCost),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property PaymentMode As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.PaymentMode),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property ChequeNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.ChequeNumber),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property EMoneyCode As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.EMoneyCode),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property ExpenseHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.ExpenseHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.ExpenseHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.ExpenseHeader))
                    End Get
                End Property
                
                Public ReadOnly Property PurchasedBy As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.Staff)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseDetail.DetailsClass.PropertySetProperties.PurchasedBy),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.Staff))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property ItemName As String
                Shadows Property ItemQuantity As Double
                Shadows Property ItemTotalCost As String
                Shadows Property PaymentMode As String
                Shadows Property ChequeNumber As String
                Shadows Property EMoneyCode As String
                Shadows Property ExpenseHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows Property PurchasedBy As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Integer).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __ExpenseDetail.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __ExpenseDetail)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Byte()).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __ExpenseDetail.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __ExpenseDetail)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ItemName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry( _
                        "ItemName", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemName_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemName_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemName_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemName_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemName_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemName_OnValueChanged)
                Private Shared Sub _ItemName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._ItemName, sf)
                End Sub
                Private Shared Function _ItemName_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.ItemName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ItemName_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ItemName_Validate(r)
                End Sub
                Private Shared Function _ItemName_GetImplementationValue(d As __ExpenseDetail.DetailsClass) As String
                    Return d.ImplementationEntity.ItemName
                End Function
                Private Shared Sub _ItemName_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As String)
                    d.ImplementationEntity.ItemName = v
                End Sub
                Private Shared Sub _ItemName_OnValueChanged(e As __ExpenseDetail)
                    e.ItemName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ItemQuantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Double).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Double).Entry( _
                        "ItemQuantity", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemQuantity_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemQuantity_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemQuantity_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemQuantity_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemQuantity_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemQuantity_OnValueChanged)
                Private Shared Sub _ItemQuantity_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Double).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._ItemQuantity, sf)
                End Sub
                Private Shared Function _ItemQuantity_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.ItemQuantity_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ItemQuantity_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ItemQuantity_Validate(r)
                End Sub
                Private Shared Function _ItemQuantity_GetImplementationValue(d As __ExpenseDetail.DetailsClass) As Double
                    Return d.ImplementationEntity.ItemQuantity
                End Function
                Private Shared Sub _ItemQuantity_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As Double)
                    d.ImplementationEntity.ItemQuantity = v
                End Sub
                Private Shared Sub _ItemQuantity_OnValueChanged(e As __ExpenseDetail)
                    e.ItemQuantity_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ItemTotalCost As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry( _
                        "ItemTotalCost", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemTotalCost_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemTotalCost_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemTotalCost_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemTotalCost_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemTotalCost_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ItemTotalCost_OnValueChanged)
                Private Shared Sub _ItemTotalCost_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._ItemTotalCost, sf)
                End Sub
                Private Shared Function _ItemTotalCost_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.ItemTotalCost_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ItemTotalCost_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ItemTotalCost_Validate(r)
                End Sub
                Private Shared Function _ItemTotalCost_GetImplementationValue(d As __ExpenseDetail.DetailsClass) As String
                    Return d.ImplementationEntity.ItemTotalCost
                End Function
                Private Shared Sub _ItemTotalCost_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As String)
                    d.ImplementationEntity.ItemTotalCost = v
                End Sub
                Private Shared Sub _ItemTotalCost_OnValueChanged(e As __ExpenseDetail)
                    e.ItemTotalCost_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PaymentMode As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry( _
                        "PaymentMode", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PaymentMode_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PaymentMode_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PaymentMode_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PaymentMode_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PaymentMode_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PaymentMode_OnValueChanged)
                Private Shared Sub _PaymentMode_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._PaymentMode, sf)
                End Sub
                Private Shared Function _PaymentMode_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.PaymentMode_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PaymentMode_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PaymentMode_Validate(r)
                End Sub
                Private Shared Function _PaymentMode_GetImplementationValue(d As __ExpenseDetail.DetailsClass) As String
                    Return d.ImplementationEntity.PaymentMode
                End Function
                Private Shared Sub _PaymentMode_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As String)
                    d.ImplementationEntity.PaymentMode = v
                End Sub
                Private Shared Sub _PaymentMode_OnValueChanged(e As __ExpenseDetail)
                    e.PaymentMode_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ChequeNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry( _
                        "ChequeNumber", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ChequeNumber_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ChequeNumber_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ChequeNumber_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ChequeNumber_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ChequeNumber_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ChequeNumber_OnValueChanged)
                Private Shared Sub _ChequeNumber_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._ChequeNumber, sf)
                End Sub
                Private Shared Function _ChequeNumber_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.ChequeNumber_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ChequeNumber_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ChequeNumber_Validate(r)
                End Sub
                Private Shared Function _ChequeNumber_GetImplementationValue(d As __ExpenseDetail.DetailsClass) As String
                    Return d.ImplementationEntity.ChequeNumber
                End Function
                Private Shared Sub _ChequeNumber_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As String)
                    d.ImplementationEntity.ChequeNumber = v
                End Sub
                Private Shared Sub _ChequeNumber_OnValueChanged(e As __ExpenseDetail)
                    e.ChequeNumber_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly EMoneyCode As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Entry( _
                        "EMoneyCode", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._EMoneyCode_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._EMoneyCode_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._EMoneyCode_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._EMoneyCode_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._EMoneyCode_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._EMoneyCode_OnValueChanged)
                Private Shared Sub _EMoneyCode_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._EMoneyCode, sf)
                End Sub
                Private Shared Function _EMoneyCode_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.EMoneyCode_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _EMoneyCode_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.EMoneyCode_Validate(r)
                End Sub
                Private Shared Function _EMoneyCode_GetImplementationValue(d As __ExpenseDetail.DetailsClass) As String
                    Return d.ImplementationEntity.EMoneyCode
                End Function
                Private Shared Sub _EMoneyCode_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As String)
                    d.ImplementationEntity.EMoneyCode = v
                End Sub
                Private Shared Sub _EMoneyCode_OnValueChanged(e As __ExpenseDetail)
                    e.EMoneyCode_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ExpenseHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.ExpenseHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.ExpenseHeader).Entry( _
                        "ExpenseHeader", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ExpenseHeader_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ExpenseHeader_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ExpenseHeader_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ExpenseHeader_GetCoreImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ExpenseHeader_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ExpenseHeader_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ExpenseHeader_Refresh, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._ExpenseHeader_OnValueChanged)
                Private Shared Sub _ExpenseHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.ExpenseHeader).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._ExpenseHeader, sf)
                End Sub
                Private Shared Function _ExpenseHeader_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.ExpenseHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ExpenseHeader_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ExpenseHeader_Validate(r)
                End Sub
                Private Shared Function _ExpenseHeader_GetCoreImplementationValue(d as __ExpenseDetail.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.ExpenseHeader
                End Function
                Private Shared Function _ExpenseHeader_GetImplementationValue(d as __ExpenseDetail.DetailsClass) As Global.LightSwitchApplication.ExpenseHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.ExpenseHeader, Global.LightSwitchApplication.ExpenseHeader.DetailsClass)(__ExpenseDetail.DetailsClass.PropertySetProperties.ExpenseHeader, d._ExpenseHeader)
                End Function
                Private Shared Sub _ExpenseHeader_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As Global.LightSwitchApplication.ExpenseHeader)
                    d.SetImplementationValue(__ExpenseDetail.DetailsClass.PropertySetProperties.ExpenseHeader, d._ExpenseHeader, Sub(i, ev) i.ExpenseHeader = ev, v)
                End Sub
                Private Shared Sub _ExpenseHeader_Refresh(d As __ExpenseDetail.DetailsClass)
                    d.RefreshNavigationProperty(__ExpenseDetail.DetailsClass.PropertySetProperties.ExpenseHeader, d._ExpenseHeader)
                End Sub
                Private Shared Sub _ExpenseHeader_OnValueChanged(e As __ExpenseDetail)
                    e.ExpenseHeader_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PurchasedBy As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.Staff).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.Staff).Entry( _
                        "PurchasedBy", _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PurchasedBy_Stub, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PurchasedBy_ComputeIsReadOnly, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PurchasedBy_Validate, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PurchasedBy_GetCoreImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PurchasedBy_GetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PurchasedBy_SetImplementationValue, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PurchasedBy_Refresh, _
                        AddressOf __ExpenseDetail.DetailsClass.PropertySetProperties._PurchasedBy_OnValueChanged)
                Private Shared Sub _PurchasedBy_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.Staff).Data), d As __ExpenseDetail.DetailsClass, sf As Object)
                    c(d, d._PurchasedBy, sf)
                End Sub
                Private Shared Function _PurchasedBy_ComputeIsReadOnly(e As __ExpenseDetail) As Boolean
                    Dim result As Boolean = False
                    e.PurchasedBy_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PurchasedBy_Validate(e As __ExpenseDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PurchasedBy_Validate(r)
                End Sub
                Private Shared Function _PurchasedBy_GetCoreImplementationValue(d as __ExpenseDetail.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.PurchasedBy
                End Function
                Private Shared Function _PurchasedBy_GetImplementationValue(d as __ExpenseDetail.DetailsClass) As Global.LightSwitchApplication.Staff
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.Staff, Global.LightSwitchApplication.Staff.DetailsClass)(__ExpenseDetail.DetailsClass.PropertySetProperties.PurchasedBy, d._PurchasedBy)
                End Function
                Private Shared Sub _PurchasedBy_SetImplementationValue(d As __ExpenseDetail.DetailsClass, v As Global.LightSwitchApplication.Staff)
                    d.SetImplementationValue(__ExpenseDetail.DetailsClass.PropertySetProperties.PurchasedBy, d._PurchasedBy, Sub(i, ev) i.PurchasedBy = ev, v)
                End Sub
                Private Shared Sub _PurchasedBy_Refresh(d As __ExpenseDetail.DetailsClass)
                    d.RefreshNavigationProperty(__ExpenseDetail.DetailsClass.PropertySetProperties.PurchasedBy, d._PurchasedBy)
                End Sub
                Private Shared Sub _PurchasedBy_OnValueChanged(e As __ExpenseDetail)
                    e.PurchasedBy_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ItemName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ItemQuantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Double).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ItemTotalCost As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PaymentMode As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ChequeNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _EMoneyCode As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ExpenseHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.ExpenseHeader).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PurchasedBy As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __ExpenseDetail, __ExpenseDetail.DetailsClass, Global.LightSwitchApplication.Staff).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
